div.mfeedback {}
div.mf-name, div.mf-email, div.mf-captcha, div.mf-message {width:80%; padding-bottom:0.4em;}
div.mf-name input, div.mf-email input {width:60%;}
div.mf-message textarea {width: 60%;}
span.mf-req {color:red;}
div.mf-ok-text {color:green; font-weight:bold; padding-bottom: 1em;}

.rating-area {
	overflow: hidden;
}
.rating-area:not(:checked) > input {
	display: none;
}
.rating-area:not(:checked) > label {
	float: right;
	width: 24px;
	padding: 0;
	cursor: pointer;
	font-size: 27px;
	line-height: 27px;
	color: lightgrey;
	text-shadow: 1px 1px #bbb;
}
.rating-area:not(:checked) > label:before {
	content: '★';
}
.rating-area > input:checked ~ label {
	color: gold;
	text-shadow: 1px 1px #c60;
}
.rating-area:not(:checked) > label:hover,
.rating-area:not(:checked) > label:hover ~ label {
	color: gold;
}
.rating-area > input:checked + label:hover,
.rating-area > input:checked + label:hover ~ label,
.rating-area > input:checked ~ label:hover,
.rating-area > input:checked ~ label:hover ~ label,
.rating-area > label:hover ~ input:checked ~ label {
	color: gold;
	text-shadow: 1px 1px goldenrod;
}
.rate-area > label:active {
	position: relative;
}

.comments__form-title {
	font-size: 20px;
	font-weight: bold;
	text-transform: uppercase;
	margin: 0;
	text-align: center;
}

.comments__form-row {
	margin-top: 30px;
}

.comments__form-input {
	border: 1px solid #d8d8d8;
	width: 100%;
	height: 40px;
}

.comments__form-input--textarea {
	min-height: 160px;
}

#comments__form-button {
	margin-top: 50px;
}

.comments__form-row--rating {
	display: flex;
	flex-wrap: wrap;
	align-items: center;
	column-gap: 25px;
}

.comments__form-label {
	margin: 0;
	font-size: 16px;
	font-weight: bold;
	margin-bottom: 5px;
}

.comments__form-header {
	display: flex;
	column-gap: 10px;
    justify-content: space-between;
    align-items: center;
}

.btn.comments__form-close {
	padding: 0;
	cursor: pointer;
}

.comments__form-close svg {
	pointer-events: none;
    fill: #ec691f;
}

.comments__form-header .comments__form-close:hover {
	transform: rotate(90deg);
}